---

#! /zdci/db/releases/20250507122114/lkp-src/jobs/will-it-scale-part3.yaml
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: thread
  test: pthread_mutex5
job_origin: will-it-scale-part3.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-gnr-2sp3
tbox_group: lkp-gnr-2sp3
job_file: "/lkp/jobs/scheduled/lkp-gnr-2sp3/will-it-scale-performance-thread-100%-pthread_mutex5-debian-12-x86_64-20240206.cgz-bd54df5ea7ca-20250512-40954-w4oelx-0.yaml"
id: 49334935c9a3e3bfb41e7807a4ba64fb18693ba4
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250507122114/lkp-src/hosts/lkp-gnr-2sp3
model: Granite Rapids
nr_node: 2
nr_cpu: 256
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part5"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part6"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part7"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x634a8014
brand: Intel(R) Xeon(R) 6767P  CPU @ 2.4GHz
ucode: '0x1000341'

#! /zdci/db/releases/20250507122114/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /zdci/db/releases/20250507122114/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /zdci/db/releases/20250507122114/lkp-src/include/queue/cyclic
commit: bd54df5ea7cadac520e346d5f0fe5d58e635b6ba
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-05-12 21:00:15.828585573 +08:00
_rt: "/result/will-it-scale/performance-thread-100%-pthread_mutex5/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba"
compiler: gcc-12
head_commit: 18ed614fbb7112dc5745c70cd8e8d5b992f2c57e
base_commit: 92a09c47464d040866cf2b4cd052bc60555185fb
branch: linux-devel/devel-hourly-20250510-063002
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250509-111127"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-thread-100%-pthread_mutex5/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba/vmlinuz-6.15.0-rc4-00014-gbd54df5ea7ca
- branch=linux-devel/devel-hourly-20250510-063002
- job=/lkp/jobs/scheduled/lkp-gnr-2sp3/will-it-scale-performance-thread-100%-pthread_mutex5-debian-12-x86_64-20240206.cgz-bd54df5ea7ca-20250512-40954-w4oelx-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=bd54df5ea7cadac520e346d5f0fe5d58e635b6ba
- intremap=posted_msi
- acpi_rsdp=0x634a8014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/will-it-scale_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/will-it-scale-x86_64-75f66e4-1_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250509112313/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-gnr-2sp3/will-it-scale-performance-thread-100%-pthread_mutex5-debian-12-x86_64-20240206.cgz-bd54df5ea7ca-20250512-40954-w4oelx-0.cgz"
last_kernel: 6.15.0-rc5
acpi_rsdp: '0x634a8014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba/vmlinuz-6.15.0-rc4-00014-gbd54df5ea7ca"
result_root: "/result/will-it-scale/performance-thread-100%-pthread_mutex5/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/bd54df5ea7cadac520e346d5f0fe5d58e635b6ba/0"
user: lkp

#! /zdci/db/releases/20250512182530/lkp-src/include/site/shz
dequeue_time: 2025-05-12 21:54:34.851702167 +08:00
job_state: finished
loadavg: 19.60 97.03 60.11 2/2229 15450
start_time: '1747058360'
end_time: '1747058662'
version: "/lkp/lkp/.src-20250509-111127:b593a923f50d:ffd096a42592-dirty"
